import os

def process_file(path):
    with open('temp.txt', 'w') as fout:
        with open(path, 'r') as fin:
            n = int(fin.readline())
            tree = [fin.readline() for _ in range(n - 1)]
            q = int(fin.readline())
            queries = [fin.readline() for _ in range(q)]

            fout.write('{} {}\n'.format(n, q))
            fout.write(''.join(tree))
            fout.write(''.join(queries).strip())

    os.rename('temp.txt', path)

for path in os.listdir():
    if path.endswith('.in'):
        with open(path, 'a') as fin:
            fin.write('\n')
